GitHub Commits
curl --request GET \
--url https://api.invezo.com/v1/developer/github/commits \
--header 'x-invezo-api-key: <api-key>'import requests
url = "https://api.invezo.com/v1/developer/github/commits"
headers = {"x-invezo-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-invezo-api-key': '<api-key>'}};
fetch('https://api.invezo.com/v1/developer/github/commits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invezo.com/v1/developer/github/commits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-invezo-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.invezo.com/v1/developer/github/commits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-invezo-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.invezo.com/v1/developer/github/commits")
.header("x-invezo-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invezo.com/v1/developer/github/commits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-invezo-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "OK",
"request_id": "",
"symbol": "BTC",
"result_count": 5000,
"data": [
{
"t": 1608854400,
"v": 27073
},
{
"t": 1608940800,
"v": 27079
},
...
]
}
Developer
GitHub Commits
Users commit to a Github repository to submit or save changes to a file (or set of files). Tracking commits is a good way to monitor how frequently code is changed.
GET
/
v1
/
developer
/
github
/
commits
GitHub Commits
curl --request GET \
--url https://api.invezo.com/v1/developer/github/commits \
--header 'x-invezo-api-key: <api-key>'import requests
url = "https://api.invezo.com/v1/developer/github/commits"
headers = {"x-invezo-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-invezo-api-key': '<api-key>'}};
fetch('https://api.invezo.com/v1/developer/github/commits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.invezo.com/v1/developer/github/commits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-invezo-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.invezo.com/v1/developer/github/commits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-invezo-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.invezo.com/v1/developer/github/commits")
.header("x-invezo-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.invezo.com/v1/developer/github/commits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-invezo-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "OK",
"request_id": "",
"symbol": "BTC",
"result_count": 5000,
"data": [
{
"t": 1608854400,
"v": 27073
},
{
"t": 1608940800,
"v": 27079
},
...
]
}
Query Parameters
sort the results by timestamp. asc will return results in ascending order
(oldest to newest), desc will return results in descending order (newest to
oldest). default value is asc
{
"status": "OK",
"request_id": "",
"symbol": "BTC",
"result_count": 5000,
"data": [
{
"t": 1608854400,
"v": 27073
},
{
"t": 1608940800,
"v": 27079
},
...
]
}

